> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Create EVM Identifier

> Create a Profile Identifier for an external EVM wallet address.



## OpenAPI

````yaml post /v1/profile/identifier/external-wallet/evm
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/profile/identifier/external-wallet/evm:
    post:
      tags:
        - Profile Identifier Endpoints
      summary: Create EVM Identifier
      description: Create a Profile Identifier for an external EVM wallet address.
      operationId: ProfileIdentifierController_createEVMExternalWallet
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileEVMExternalWalletIdentifierCreate'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileIdentifierResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    ProfileEVMExternalWalletIdentifierCreate:
      type: object
      properties:
        profileId:
          type: string
        value:
          type: string
          maxLength: 130
          nullable: false
      required:
        - value
    ProfileIdentifierResponse:
      type: object
      properties:
        rootUserId:
          type: string
        profileId:
          type: string
        service:
          type: string
        value:
          type: string
        createdAt:
          type: integer
          default: '2024-04-04T17:14:46.041Z'
          format: timestamp
          minimum: 0
        type:
          enum:
            - custom
            - external-wallet
          type: string
        id:
          type: string
      required:
        - rootUserId
        - profileId
        - service
        - value
        - createdAt
        - type
        - id
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````